## PDC Get Selected Config indication PDC Get Selected Config indication |

## Functions

QmiIndicationPdcGetSelectedConfigOutput * | qmi_indication_pdc_get_selected_config_output_ref ()
void | qmi_indication_pdc_get_selected_config_output_unref ()
gboolean | qmi_indication_pdc_get_selected_config_output_get_pending_id ()
gboolean | qmi_indication_pdc_get_selected_config_output_get_active_id ()
gboolean | qmi_indication_pdc_get_selected_config_output_get_indication_result ()
gboolean | qmi_indication_pdc_get_selected_config_output_get_token ()

## Types and Values

| QmiIndicationPdcGetSelectedConfigOutput

## Object Hierarchy

        GBoxed
        ╰── QmiIndicationPdcGetSelectedConfigOutput

## Description

## Functions

### qmi_indication_pdc_get_selected_config_output_ref ()

    QmiIndicationPdcGetSelectedConfigOutput *
    qmi_indication_pdc_get_selected_config_output_ref
                                   (QmiIndicationPdcGetSelectedConfigOutput *self);

Atomically increments the reference count of `self` by one.

#### Parameters

self | a QmiIndicationPdcGetSelectedConfigOutput. |

#### Returns

the new reference to `self` .

Since: 1.18

### qmi_indication_pdc_get_selected_config_output_unref ()

    void
    qmi_indication_pdc_get_selected_config_output_unref
                                   (QmiIndicationPdcGetSelectedConfigOutput *self);

Atomically decrements the reference count of `self` by one. If the reference count drops to 0, `self` is completely disposed.

#### Parameters

self | a QmiIndicationPdcGetSelectedConfigOutput. |

Since: 1.18

### qmi_indication_pdc_get_selected_config_output_get_pending_id ()

    gboolean
    qmi_indication_pdc_get_selected_config_output_get_pending_id
                                   (QmiIndicationPdcGetSelectedConfigOutput *self,
                                    GArray **value_pending_id,
                                    GError **error);

Get the 'Pending Id' field from `self` .

#### Parameters

self | a QmiIndicationPdcGetSelectedConfigOutput. |
value_pending_id | a placeholder for the output GArray of guint8 elements, or `NULL` if not required. Do not free it, it is owned by `self` . | [out][optional][element-type guint8][transfer none]
error | Return location for error or `NULL`. |

#### Returns

`TRUE` if the field is found, `FALSE` otherwise.

[skip]

Since: 1.18

### qmi_indication_pdc_get_selected_config_output_get_active_id ()

    gboolean
    qmi_indication_pdc_get_selected_config_output_get_active_id
                                   (QmiIndicationPdcGetSelectedConfigOutput *self,
                                    GArray **value_active_id,
                                    GError **error);

Get the 'Active Id' field from `self` .

#### Parameters

self | a QmiIndicationPdcGetSelectedConfigOutput. |
value_active_id | a placeholder for the output GArray of guint8 elements, or `NULL` if not required. Do not free it, it is owned by `self` . | [out][optional][element-type guint8][transfer none]
error | Return location for error or `NULL`. |

#### Returns

`TRUE` if the field is found, `FALSE` otherwise.

[skip]

Since: 1.18

### qmi_indication_pdc_get_selected_config_output_get_indication_result ()

    gboolean
    qmi_indication_pdc_get_selected_config_output_get_indication_result
                                   (QmiIndicationPdcGetSelectedConfigOutput *self,
                                    guint16 *value_indication_result,
                                    GError **error);

Get the 'Indication Result' field from `self` .

#### Parameters

self | a QmiIndicationPdcGetSelectedConfigOutput. |
value_indication_result | a placeholder for the output guint16, or `NULL` if not required. | [out][optional]
error | Return location for error or `NULL`. |

#### Returns

`TRUE` if the field is found, `FALSE` otherwise.

[skip]

Since: 1.18

### qmi_indication_pdc_get_selected_config_output_get_token ()

    gboolean
    qmi_indication_pdc_get_selected_config_output_get_token
                                   (QmiIndicationPdcGetSelectedConfigOutput *self,
                                    guint32 *value_token,
                                    GError **error);

Get the 'Token' field from `self` .

#### Parameters

self | a QmiIndicationPdcGetSelectedConfigOutput. |
value_token | a placeholder for the output guint32, or `NULL` if not required. | [out][optional]
error | Return location for error or `NULL`. |

#### Returns

`TRUE` if the field is found, `FALSE` otherwise.

[skip]

Since: 1.18

## Types and Values

### QmiIndicationPdcGetSelectedConfigOutput

    typedef struct _QmiIndicationPdcGetSelectedConfigOutput QmiIndicationPdcGetSelectedConfigOutput;

The QmiIndicationPdcGetSelectedConfigOutput structure contains private data and should only be accessed using the provided API.

Since: 1.18